using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wTemplate_Content_默认模板_Content_Aspx_16:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:29
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=false;
		访问.开始处理("查看内容","其它","查看内容",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
	ID=Convert.ToInt32(Request.QueryString["ID"]);
	栏目页码=Convert.ToInt32(Request.QueryString["cpage"]);
	栏目排序=Convert.ToInt32(Request.QueryString["corder"]);
	是否余下全部=Convert.ToInt32(Request.QueryString["yx"]);
	一页显示记录=获取一页显示记录数();
	查询字段=获取查询字段();
	时间格式=获取时间格式();
	范围ID=获取范围ID();
	软件内容=获取软件内容();
	栏目ID=Convert.ToInt32(软件内容["所属栏目"]);
	当前页面=程序.安装位置+"3G_Content.aspx";
	内容栏目=获取内容栏目();
	跳页表单项="<postfield name=\"ID\" value=\""+ID+"\" />"+
		"<postfield name=\"CID\" value=\""+栏目ID+"\" />"+
		"<postfield name=\"cpage\" value=\""+栏目页码+"\" />"+
		"<postfield name=\"corder\" value=\""+栏目排序+"\" />"+
		"<postfield name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
	_3G跳页表单项="<input type=\"hidden\" name=\"ID\" value=\""+ID+"\" />"+
		"<input type=\"hidden\" name=\"CID\" value=\""+栏目ID+"\" />"+
		"<input type=\"hidden\" name=\"cpage\" value=\""+栏目页码+"\" />"+
		"<input type=\"hidden\" name=\"corder\" value=\""+栏目排序+"\" />"+
		"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
	生成软件内容();
		返回值.Append(@"<?xml version=""1.0"" encoding=""UTF-8""?>
<!DOCTYPE html PUBLIC ""-//W3C//DTD XHTML 1.0 Strict//EN"" ""DTD/xhtml1-strict.dtd"">
<html xmlns=""http://www.w3.org/1999/xhtml"">
<head>
<meta http-equiv=""cache-control"" content=""no-cache""/>
<meta http-equiv=""Content-Type"" content=""text/html; charset=utf-8"" />
<title>");
		返回值.Append(Server.HtmlEncode(软件内容["标题"].ToString()));
		返回值.Append(@"-");
		返回值.Append(Server.HtmlEncode(内容栏目["栏目名称"].ToString()));
		返回值.Append(@"</title>
<style type=""text/css"">body{ font-size:12px;}body{background-color: #FFFFFF; margin: 0px; padding: 0px;font-size:12px;}
a:link{color:#009;}
a:visited{color:#800080;}
a{text-decoration:underline;}

div.div3  { padding-top: 5px; padding-left: 0px; padding-right: 0px; padding-bottom: 5px }

div.div5  { background-color: #ffefc4; color: #c62a05 }
div.div5  a { color: #6200c4 }

</style>
</head>
<body>
<div>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"<div class=""div5"">
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=2",访问.用户["标识"].ToString())));
		返回值.Append(@""">首页</a>-<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Column.aspx?ID="+内容栏目["ID"]+"&order="+栏目排序+"&page="+栏目页码,访问.用户["标识"].ToString())));
		返回值.Append(@""">");
		返回值.Append(Server.HtmlEncode(内容栏目["栏目名称"].ToString()));
		返回值.Append(@"</a>-软件<br/>
</div>
");
		返回值.Append(Server.HtmlEncode(软件内容["标题"].ToString()));
		返回值.Append(@"<br/>
----------<br/>

");
		图片内容Z6L10S6L();
		返回值.Append(@"

");
		软件内容4B0AEYOO();
		返回值.Append(@"
");
		if(总页数<2)
		{
		}
		else if(是否余下全部==1)
		{
		}
		else
		{
		返回值.Append(@"<form method=""get"" action=""");
		返回值.Append(当前页面);
		返回值.Append(@""">
");
		返回值.Append(下页代码O7DC321V());
		返回值.Append(上页代码8HW9HIGP());
		返回值.Append(@" 共");
		返回值.Append(总页数);
		返回值.Append(@"页<br/>
");
		返回值.Append(偏移地址TTGJGSE8());
		返回值.Append(静态定位KJ3F252N());
		返回值.Append(偏移地址0TG2HWAJ());
		返回值.Append(@"<br/>
<input type=""text"" name=""page"" size=""2"" value=""2"" /><input type=""submit"" value=""[跳页]"" />");
		返回值.Append(_3G跳页表单项);
		返回值.Append(@"
</form>");
		}
		返回值.Append(@"
<div class=""div3"">
软件简介：");
		返回值.Append(常用.UBB转换(软件内容["软件简介"].ToString(),访问.用户));
		返回值.Append(@"
</div>
<div class=""div3"">
上线时间:");
		返回值.Append(时间格式==null?软件内容["发布时间"].ToString():Convert.ToDateTime(软件内容["发布时间"]).ToString(时间格式));
		返回值.Append(@"
</div>


");
		上下软件DC22Q0U2();
		返回值.Append(@"
");
		上下软件JFS52CFZ();
		返回值.Append(@"

");
		if(!Convert.ToBoolean(软件内容["是否关闭评论"]))
		{
		返回值.Append(@"<form method=""post"" action=""/UUN WAP CMS 3.1/3G_Comment_Save.aspx?CID=");
		返回值.Append(软件内容["所属栏目"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(软件内容["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">
<input type=""text"" name=""CommentText"" maxlength=""250"" /><br/>
<input type=""submit"" value=""发表评论""/>
</form>
");
		评论列表DQH6WG85();
		返回值.Append(@"

");
		if(Convert.ToInt32(软件内容["评论数"])>0)
		{
		返回值.Append(@"
<div class=""div3"">
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Comment.aspx?CID="+内容栏目["ID"]+"&ID="+软件内容["ID"],访问.用户["标识"].ToString())));
		返回值.Append(@""">更多评论(");
		返回值.Append(软件内容["评论数"]);
		返回值.Append(@")</a>
</div>

");

		}
		返回值.Append(@"

");

		}
		返回值.Append(@"

");
		DataSet 数据6AYNLG0D=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		返回值.Append(生成上级栏目列表代码6AYNLG0D(数据6AYNLG0D,栏目ID));
		返回值.Append(@"
<div class=""div3"">
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=2",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a>
</div>

");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"





");
		返回值.Append(@"
</div>
</body>
</html>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private String 当前页面;
	//参数
	private new int ID;
	private int 栏目页码;
	private int 栏目排序;
	private int 栏目ID;
	private int 是否余下全部;
	//其它
	private String 跳页表单项;
	private String _3G跳页表单项;
	private String 查询条件="";
	private Hashtable 软件内容;
	private Hashtable 软件文件;
	private DataRow 内容栏目;
	private String 查询字段;
	//设置
	private String 时间格式;
	private String 范围ID;
	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录;
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?CID="+栏目ID+"&ID="+ID+
			"&cpage="+栏目页码+"&corder="+栏目排序+"&page="+页码+"&yx=0",访问.用户["标识"].ToString()));
	}
	private Hashtable 获取软件内容()
	{
		SqlCommand 语句=new SqlCommand("UPDATE ["+程序.数据表前缀+"内容_软件_软件] SET "+
			"[点击数]=[点击数]+1,"+
			"[日点击数]=[日点击数]+1,"+
			"[周点击数]=[周点击数]+1 WHERE [是否删除]=@是否删除"+(ID==0?"":" AND [ID]="+ID),访问.连接);
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		语句.ExecuteNonQuery();

		语句=new SqlCommand("SELECT "+查询字段+" FROM ["+程序.数据表前缀+"内容_软件_软件] WHERE [是否删除]=@是否删除"+(ID==0?"":" AND [ID]="+ID),访问.连接);
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;

		Hashtable 返回值=常用.SQL_获取(语句);

		if(返回值==null)
			throw new Exception("内容不存在");

		int 内容模板=Convert.ToInt32(返回值["3G内容模板"]);

			if(File.Exists("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+内容模板+".aspx"))
				Server.Transfer("~/Template/Content/"+程序.设置["默认模板"]+"/Content_Aspx/"+内容模板+".aspx");

		常用.应用内容权限(返回值,"软件",访问);

		ID=Convert.ToInt32(返回值["ID"]);

		return 返回值;
	}
	private DataRow 获取内容栏目()
	{
		DataRow 返回值=null;
		DataSet 内容栏目=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
		for(int i=0;i<内容栏目.Tables[0].Rows.Count;i++)
		{
			DataRow 行=内容栏目.Tables[0].Rows[i];
			if(Convert.ToInt32(行["ID"])==栏目ID)
				返回值=行;
		}

		if(返回值==null)
			throw new Exception("内容栏目不存在");

		return 返回值;
	}
	private String 生成余下全部地址()
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?CID="+栏目ID+"&ID="+ID+
			"&cpage="+栏目页码+"&corder="+栏目排序+"&page="+(当前页+1)+"&yx=1",访问.用户["标识"].ToString()));
	}
	private void 生成软件内容()
	{
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		软件文件=new Hashtable();
		设置 软件资源=new 设置(File.ReadAllText(Server.MapPath(程序.安装位置+"Data/DT_RuanJian/"+(ID/500)+"/"+ID+".xml"),Encoding.UTF8));
		总记录数=软件资源.数据项.Count;
		总页数=常用.计算总页数(总记录数,一页显示记录);
		当前页=常用.计算当前页(总页数,当前页);
		if(是否余下全部==1)
		{
			int i1=0;
			for(int i=(当前页-1)*一页显示记录;i<总记录数;i++)
			{
				软件文件.Add(i1,软件资源[Convert.ToString(i+1)]);
				i1++;
			}
		}
		else
		{
			int i1=0;
			for(int i=(当前页-1)*一页显示记录;i<当前页*一页显示记录&&i<总记录数;i++)
			{
				软件文件.Add(i1,软件资源[Convert.ToString(i+1)]);
				i1++;
			}
		}
	}
		private void 图片内容Z6L10S6L()
		{
			String[] 图片数组=软件内容["图片文件"].ToString().Split(new char[]{','},StringSplitOptions.RemoveEmptyEntries);
			for(int i=0;i<图片数组.Length;i++)
			{
				FileInfo FI=new FileInfo(Server.MapPath(图片数组[i]));
				返回值.Append(@"<div class=""div3"">");
				返回值.Append("<img src=\""+图片数组[i]+"\" alt=\"图片\""+常用.获取图片宽度高度("软件")+" />");
				返回值.Append(@"<br/><a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_ImageZoom.aspx?type=small&img="+Server.UrlEncode(Server.HtmlDecode(图片数组[i]))+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">小图</a> <a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_ImageZoom.aspx?type=middle&img="+Server.UrlEncode(Server.HtmlDecode(图片数组[i]))+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">中图</a> <a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_ImageZoom.aspx?type=big&img="+Server.UrlEncode(Server.HtmlDecode(图片数组[i]))+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">大图</a> <a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_ImageZoom.aspx?type=null&img="+Server.UrlEncode(Server.HtmlDecode(图片数组[i]))+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">自定</a></div>");

			}
		}
		private void 软件内容4B0AEYOO()
		{
			for(int i=0;i<软件文件.Count;i++)
			{
				String[] 软件数组=软件文件[i].ToString().Split(new char[]{'"'});
				FileInfo FI=new FileInfo(Server.MapPath(Server.HtmlDecode(软件数组[0])));
				返回值.Append(@"<div class=""div3"">机型:");
				返回值.Append(软件数组[1]);
				返回值.Append(@"<br/><a href=""");
				返回值.Append(软件数组[0]);
				返回值.Append(@""">下载(");
				返回值.Append(常用.计算文件大小(FI.Length));
				返回值.Append(@"/");
				返回值.Append(FI.Extension.Substring(1));
				返回值.Append(@")</a></div>");

			}
		}

		private String 下页代码O7DC321V()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a> ";

			}
			else
			{

			}

			return 返回值;
		}

		private String 上页代码8HW9HIGP()
		{
			String 返回值="";
			int 页数=当前页-1;
			if(当前页>1)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a> ";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址TTGJGSE8()
		{
			String 返回值="";
			int 页数=当前页+-5;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">&lt;&lt;</a>
";

			}
			else
			{

			}

			return 返回值;
		}

	private String 静态定位KJ3F252N()
	{
		String 返回值="";
		int 数量=5;
		int 所在位置=当前页%数量==0?当前页/数量:当前页/数量+1;
		所在位置=所在位置-1;
		for(int i=(所在位置*数量)+1;i<=(所在位置*数量)+数量;i++)
			if(i>0&&i<=总页数&&总页数>1)
				if(i==当前页)
				{
				返回值+=@"<a href=""";
				返回值+=列表跳页(i);
				返回值+=@""">[";
				返回值+=i.ToString();
				返回值+=@"]</a>
";

				}
				else
				{
				返回值+=@"<a href=""";
				返回值+=列表跳页(i);
				返回值+=@""">";
				返回值+=i.ToString();
				返回值+=@"</a>
";
				}
		return 返回值;
	}

		private String 偏移地址0TG2HWAJ()
		{
			String 返回值="";
			int 页数=当前页+5;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">&gt;&gt;</a>
";

			}
			else
			{

			}

			return 返回值;
		}
	private void 上下软件DC22Q0U2()
	{
		String SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_软件_软件] WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属栏目]="+范围ID数组[i];
				else
					SQL+=" OR [所属栏目]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属栏目]="+栏目ID;
		SQL+=" AND [ID]>"+ID+" ORDER BY [ID]";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<div class=""div3""><a href=""");
				返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["标识"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Content.aspx?CID="+行["所属栏目"]+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">&gt;");
				返回值.Append(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0));
				返回值.Append(@"</a></div>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 上下软件JFS52CFZ()
	{
		String SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_软件_软件] WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属栏目]="+范围ID数组[i];
				else
					SQL+=" OR [所属栏目]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属栏目]="+栏目ID;
		SQL+=" AND [ID]<"+ID+" ORDER BY [ID] DESC";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<div class=""div3""><a href=""");
				返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["标识"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Content.aspx?CID="+行["所属栏目"]+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">&lt;");
				返回值.Append(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0));
				返回值.Append(@"</a></div>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 评论列表DQH6WG85()
	{
		SqlCommand 语句=new SqlCommand("SELECT [ID],[楼数],[评论用户昵称],[评论内容] FROM ["+程序.数据表前缀+"内容_评论] WHERE [内容ID]="+ID+" AND [内容类型]='软件' ORDER BY [发表时间] DESC",访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,0,5,"表");
		if(数据.Tables[0].Rows.Count<1)
			返回值.Append(@"");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"<div class=""div3"">");
			返回值.Append(行["楼数"].ToString());
			返回值.Append(@".");
			返回值.Append(Server.HtmlEncode(行["评论用户昵称"].ToString()));
			返回值.Append(@":");
			返回值.Append(Server.HtmlEncode(常用.截取字符串(行["评论内容"].ToString(),50)));
			返回值.Append(@"</div>");
		}
	}
	private String 生成上级栏目列表代码6AYNLG0D(DataSet 数据,int ID)
	{
		if(ID!=0)
		{
			String 返回值="";
			String 栏目名称="";
			int 上级栏目=0;
			for(int i=0;i<数据.Tables[0].Rows.Count;i++)
			{
				DataRow 行=数据.Tables[0].Rows[i];
				if(Convert.ToInt32(行["ID"])==ID)
				{
					栏目名称=Convert.ToString(行["栏目名称"]);
					上级栏目=Convert.ToInt32(行["所属栏目"]);
				}
			}
				返回值+=@"<div class=""div3""><a href=""";
				返回值+=Server.HtmlEncode(常用.处理地址(程序.安装位置+"3G_Column.aspx?ID="+ID,访问.用户["标识"].ToString()));
				返回值+=@""">返回";
				返回值+=Server.HtmlEncode(栏目名称);
				返回值+=@"</a></div>";
				return 返回值+生成上级栏目列表代码6AYNLG0D(数据,上级栏目);
		}
		else
		{
			return "";
		}
	}
	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示文件数();

	}
	private String 获取范围ID()
	{
		return null;

	}
	private String 获取时间格式()
	{
		return @"yyyy-MM-dd";

	}
	private String 获取查询字段()
	{
		return @"[ID],[所属栏目],[标题],[是否推荐],[是否审核],[外部链接],[是否关闭评论],[权限_仅限会员],[权限_需要等级],[权限_扣除积分],[3G内容模板],[图片文件],[软件简介],[发布时间],[评论数]";

	}
}